Bug 881082 - CCS/CCP ignores all connection strings
CCS/CCP ignores all connection strings
Status: CLOSED CURRENTRELEASE
Product: Red Hat Enterprise MRG
Classification: Red Hat
Component: condor-wallaby-tools (Show other bugs)
Development
Unspecified Unspecified
high Severity high
: 2.3
: ---
Assigned To: Robert Rati
Lubos Trilety
: Regression
Depends On:
Blocks: 802510
  Show dependency treegraph
 
Reported: 2012-11-28 10:34 EST by Lubos Trilety
Modified: 2013-03-19 12:37 EDT (History)
3 users (show)

See Also:
Fixed In Version: condor-wallaby-tools-5.0.4-1
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-03-19 12:37:39 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Lubos Trilety 2012-11-28 10:34:47 EST
Description of problem:
Both scripts ignores any connection option.

e.g.
# ccs -U not-existing --list-all-nodes
Console Connection Established...
node1
node3
node2
...


Moreover for some of them invalid error is printed.

invalid error for '-m', tools should sad that invalid mechanism is required, not invalid option:
# ccs -m bad --list-all-nodes
invalid argument: -m bad
Usage: condor_configure_store [options] <action> <target(s)>
...

invalid error for --schedds or --qmfbroker when list of objects is required
# ccp --schedds --list-all-snapshots
invalid option: --schedds
Usage:  wallaby ccs-listall FILENAME [COMPARE_FILENAME]
List all names of entity types in the store
    -h, --help                       displays this message
    -v, --verbose                    Print more information, if available


Version-Release number of selected component (if applicable):
condor-wallaby-tools-5.0.3-2

How reproducible:
100%

Steps to Reproduce:
see above
  
Actual results:


Expected results:


Additional info:
Comment 1 Robert Rati 2012-12-05 13:12:46 EST
The issue was how ccs/ccp passed the args to wallaby on the command line.  ccs/ccp were passing [[args]] instead of [args]

Fixed upstream on:
BZ881082-connection-options
Comment 4 Lubos Trilety 2012-12-11 06:09:52 EST
Tested with:
condor-wallaby-tools-5.0.4-1

Tested on:
RHEL6 i386,x86_64
RHEL5 i386,x86_64

All options are working except Bug 885992.

>>> verified

Note You need to log in before you can comment on or make changes to this bug.